libcoap 4.3.2rc2

Data Structures | Functions
coap_subscribe_internal.h File Reference

CoAP subscribe internal information. More...

`#include "coap_internal.h"`

Go to the source code of this file.

## Data Structures
struct | coap_subscription_t
| Number of notifications that may be sent non-confirmable before a confirmable message is sent to detect if observers are alive. More...

## Functions
void | coap_subscription_init (coap_subscription_t *)
void | coap_handle_failed_notify (coap_context_t *context, coap_session_t *session, const coap_bin_const_t *token)
| Handles a failed observe notify. More...
void | coap_check_notify (coap_context_t *context)
| Checks all known resources to see if they are dirty and then notifies subscribed observers. More...
coap_subscription_t * | coap_add_observer (coap_resource_t *resource, coap_session_t *session, const coap_bin_const_t *token, const coap_pdu_t *pdu)
| Adds the specified peer as observer for `resource`. More...
coap_subscription_t * | coap_find_observer (coap_resource_t *resource, coap_session_t *session, const coap_bin_const_t *token)
| Returns a subscription object for given `peer`. More...
void | coap_touch_observer (coap_context_t *context, coap_session_t *session, const coap_bin_const_t *token)
| Flags that data is ready to be sent to observers. More...
int | coap_delete_observer (coap_resource_t *resource, coap_session_t *session, const coap_bin_const_t *token)
| Removes any subscription for `observer` from `resource` and releases the allocated storage. More...
void | coap_delete_observers (coap_context_t *context, coap_session_t *session)
| Removes any subscription for `session` and releases the allocated storage. More...
void | coap_persist_cleanup (coap_context_t *context)
| Close down persist tracking, releasing any memory used. More...

## Detailed Description

CoAP subscribe internal information.

Definition in file coap_subscribe_internal.h.